import { AbstractControl } from '@angular/forms';
import { StoreFormsConfig, ErrorMessages, ResolvedErrorMessages } from './store-forms.model';
export declare function deepGet(object: any, path: string, throwOnMiss?: boolean): any;
export declare function getEffectiveConfig(userConfig: StoreFormsConfig): {
    bindingStrategy?: import("ngrx-store-forms/lib/store-forms.model").StoreFormsBindingStrategy;
    errorMessages?: ErrorMessages;
    debounce?: number;
};
export declare function deepEquals(x: any, y: any): boolean;
export declare function getErrors(control: AbstractControl, errorMessages: ErrorMessages, pathPrefix: string[], resolvedErrorMessages?: ResolvedErrorMessages, path?: string[]): ResolvedErrorMessages;
