import { FormGroup } from '@angular/forms';
import { Store } from '@ngrx/store';
import { StoreFormsConfig } from './store-forms.model';
export declare class StoreFormsService {
    private store;
    private feature;
    private bindings;
    private pathPrefix;
    private config;
    constructor(config: StoreFormsConfig, store: Store<any>, feature: string);
    bind(path: string, formGroup: FormGroup): void;
    unbind(path: string): void;
    replaceBinding(path: string, replace: FormGroup): void;
    getFormGroup(path: string): FormGroup;
    updateFormGroup(path: string, value: {
        [k: string]: string;
    }): void;
}
